<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/PastasModel.php';
require_once '../Class/controller/PastasControl.php';

$pastasControl = new PastasControl();
$pastas = new PastasModel();

$pastasControl->setDel();

$del = $pastasControl->getDel();

if ($del > 0)
{
	$pastas->setId($del);
	$pastas->delete();
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Pastas</div>

<div class="pg-botoes" style="float: right;"><a href="cadpastas.php"
	class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Numero</th>
		<th>Nome</th>
		<th>Detalhe</th>
		<th></th>
	</tr>

	<?php

	$pasta = new PastasModel();

	foreach ($pasta->listAll() as $item) {

		echo "<tr>";
		echo "<td> <a href='cadpastas.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadpastas.php?id={$item->getId()}'> {$item->getNumero()} </a></td>";
		echo "<td> <a href='cadpastas.php?id={$item->getId()}'> {$item->getNome()} </a></td>";
		echo "<td> <a href='cadpastas.php?id={$item->getId()}'> {$item->getDetalhe()} </a></td>";
			echo "<td> <a href='pastas.php?del={$item->getId()}' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	}

	?>

</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
